• PC NEWS: 1.4.2.3 update is out! More info here. Report bugs here
  • CONSOLE 1.4 NEWS: The current plan is to have Terraria: Journey's End out for Xbox and PlayStation in Q3 2021 (Jul-Sep). Switch will follow shortly afterwards. More info here. Stay up to date with console news here
  • MOBILE NEWS: Stay up to date with the latest mobile news here. Report mobile bugs here

Tool TML GOG Patcher [ABANDONED]

Status
Not open for further replies.

DreamTusk

Terrarian
I'm trying this is 1.3.4.4 and the version matches but it says the Hash does not, any help?
Screenshot_18.png
 

OneExile

Terrarian
Jeckel seems to have gone AWOL so the patches aren't updated & the people who run TModLoader havn't come up with a solution to rectify this problem, Anyone using GOG Terraria that has a version above 1.3.4.4 cannot install TModLoader at this moment in time. Sucks.
 

Sole Terrarian

Spazmatism
Please guys. If you take some of your time to read the previous posts you will find the answer.
As @Roxxz said the patcher will not work with terraria versions after the 1.3.4.4.
At the moment there's not a fix for this and the Tmodloader developers have already said that they will develop an updated patcher in the future.
So you have two options: wait or buy the Steam version to solve the problem.
I know it's unfair but at the moment the only thing to do is to wait.
 

Seven

Terrarian
okay, i installed the 1.3.2.1 version of terraria and its patch. When i try to use the patcher, it still says its terraria 1.3.4.4 and the patch is 0.9.2.3. The url is correct, and the 1.3.4.4 version and its patch are deleted.
1.png
As you can see, the version at the bottom left of terraria says v1.3.2.1 and the patcher shows the wrong version.
 

Sole Terrarian

Spazmatism
okay, i installed the 1.3.2.1 version of terraria and its patch. When i try to use the patcher, it still says its terraria 1.3.4.4 and the patch is 0.9.2.3. The url is correct, and the 1.3.4.4 version and its patch are deleted.View attachment 191042 As you can see, the version at the bottom left of terraria says v1.3.2.1 and the patcher shows the wrong version.

Are you sure you have downloaded the patch matched with the terraria version you are currently using?
Since you are using the 1.3.2.1 version you must use an older patch to install Tmodloader. You can download it from the link below:


Note: Many mods have been updated over time so they are not likely to work with older versions of Tmodloader. Use them at your own risk.
 

Seven

Terrarian
Are you sure you have downloaded the patch matched with the terraria version you are currently using?
Since you are using the 1.3.2.1 version you must use an older patch to install Tmodloader. You can download it from the link below:


Note: Many mods have been updated over time so they are not likely to work with older versions of Tmodloader. Use them at your own risk.
Yes, i already have that version.
 

Seven

Terrarian
You can try applying the patch with an older version of TML GOG Patcher if the recent one doesn't work. Try this:


Scroll down and find the oldest version compatible with your Terraria version.
Remember, you must use the patch file linked in the previous post or it will not work.
It didnt quite work, it showed the right version and patch, but the file's hash still didnt match.
That was the oldest version of the patcher that supported 1.3.2.1
 

Attachments

  • 1.png
    1.png
    58.3 KB · Views: 319

Sole Terrarian

Spazmatism
It didnt quite work, it showed the right version and patch, but the file's hash still didnt match.
That was the oldest version of the patcher that supported 1.3.2.1

Mh... the part where the hash doesn't match seems to be the .exe file of Terraria is not the vanilla one.
Try reinstalling Terraria and redo the process and see if it works.
 

Sole Terrarian

Spazmatism
didnt work either

That's strange. Perhaps the version is no longer supported?
In any case, the version 0.8.3.2 of Tmodloader is too outdated and probably doesn't work with the latest mods due to incompatibility.
Your only chance to use a portion of the mods is to use Terraria version 1.3.4.4 and put the patch compatible with that version.
I don't have much knowledge in this matter and my help is rather limited. I'm sorry I wasn't helpful enough.
 

Seven

Terrarian
That's strange. Perhaps the version is no longer supported?
In any case, the version 0.8.3.2 of Tmodloader is too outdated and probably doesn't work with the latest mods due to incompatibility.
Your only chance to use a portion of the mods is to use Terraria version 1.3.4.4 and put the patch compatible with that version.
I don't have much knowledge in this matter and my help is rather limited. I'm sorry I wasn't helpful enough.
I tried Terraria 1.3.4.4 first and the same thing happened
 

Sole Terrarian

Spazmatism
I tried Terraria 1.3.4.4 first and the same thing happened

Your error in the first post is identical to that of other users.
The unrecognized hash has the identical code of the previous screenshots.
Unfortunately, as I said, I don't have much knowledge about it and I can't help you much.
The only hope is to wait or, if you don't want to, buy the Steam version.
 

Seven

Terrarian
Your error in the first post is identical to that of other users.
The unrecognized hash has the identical code of the previous screenshots.
Unfortunately, as I said, I don't have much knowledge about it and I can't help you much.
The only hope is to wait or, if you don't want to, buy the Steam version.
I might just buy the steam version like you said, i really appreciate you taking you time to try and help me out.
 

SunnyPegasus

Terrarian
I'm trying this is 1.3.4.4 and the version matches but it says the Hash does not, any help?

Is there a way to fix this? On version 1.3.44
You have the wrong checksum (SHA-256) Terraria.exe GOG-version 1.3.4.4 (and possibly TerrariaServer.exe too), need E723824766898DC294C098E3732BD377D425C86D51D613567432E45D4E0D9287 (for Terraria.exe).

You need to install the game version 1.3.4.4 from setup_terraria_2.20.0.22.exe (SHA-256 B1C700EFD1B77F18A3DBE20C8072EEF03995E9325AEEF1386D145F2FF2EA7FC3).

P.S.
I can attach these two files here? It won't be illegal?

In archive two files from the version GOG 1.3.4.4 archive file removed by staff

1. Terraria.exe (SHA-256 E723824766898DC294C098E3732BD377D425C86D51D613567432E45D4E0D9287)
2. TerrariaServer.exe (SHA-256 D045DB95BE82BE9F5969D942933CFF8F09669840A126419A2933CD0FF42252C6)

--------------------------------------------------------------------------------
Installing Client Patch [2018.01.06 01:29:01:1093]
--------------------------------------------------------------------------------

Finding Required Terraria.exe File...
-Found
Checking Terraria.exe Version (1.3.4.4)...
-Matched
Checking Terraria.exe Hash (E723824766898DC294C098E3732BD377D425C86D51D613567432E45D4E0D9287)...
-Matched
Finding Terraria.exe Backup File (Terraria_1.3.4.4.exe)...
-NOT Found
-Creating Terraria.exe Backup File (Terraria_1.3.4.4.exe)...
--The backup file was created successfully.
Creating Patched Terraria.exe File (Terraria.exe)...
-The patch was successfully created.
-Verifying Patched Terraria.exe File (Terraria.exe)...
--The patch was successfully applied.

--------------------------------------------------------------------------------
Installing Server Patch [2018.01.06 01:29:04:7343]
--------------------------------------------------------------------------------

Finding Required TerrariaServer.exe File...
-Found
Checking TerrariaServer.exe Version (1.3.4.4)...
-Matched
Checking TerrariaServer.exe Hash (D045DB95BE82BE9F5969D942933CFF8F09669840A126419A2933CD0FF42252C6)...
-Matched
Finding TerrariaServer.exe Backup File (TerrariaServer_1.3.4.4.exe)...
-NOT Found
-Creating TerrariaServer.exe Backup File (TerrariaServer_1.3.4.4.exe)...
--The backup file was created successfully.
Creating Patched TerrariaServer.exe File (TerrariaServer.exe)...
-The patch was successfully created.
-Verifying Patched TerrariaServer.exe File (TerrariaServer.exe)...
--The patch was successfully applied.
 
Last edited by a moderator:
Status
Not open for further replies.
Top Bottom